<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" version="1.0">
  <xsl:variable name="ucty.oznaceni" select="1"/>
  <xsl:variable name="ucty.popis" select="2"/>
  <xsl:variable name="ucty.zablokovat" select="3"/>
  <xsl:variable name="ucty.charakteructu" select="4"/>
  <xsl:variable name="ucty.nedanovy" select="5"/>
  <xsl:variable name="ucty.aktpasneut" select="6"/>
  <xsl:variable name="hk.cislodokladu" select="1"/>
  <xsl:variable name="hk.druhdokladu" select="2"/>
  <xsl:variable name="hk.datum" select="3"/>
  <xsl:variable name="hk.ucet" select="4"/>
  <xsl:variable name="hk.md" select="5"/>
  <xsl:variable name="hk.d" select="6"/>
  <xsl:variable name="hk.varsymbol" select="7"/>
  <xsl:variable name="hk.popis" select="8"/>
  <xsl:variable name="hk.zakladdane" select="9"/>
  <xsl:variable name="hk.ico" select="10"/>
  <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="no" media-type="text/xml" doctype-system="fo.dtd"/>
  <xsl:decimal-format decimal-separator="," grouping-separator=" " infinity="Inf"/>
  <!-- ##### NEXT TEMPLATE ##### 
       toto je korenova staticka sablona, definuue velikost stranky apod -->
  <xsl:template match="/data-structure-result">
    <fo:root>
      <!-- defines the layout master -->
      <fo:layout-master-set>
        <fo:simple-page-master master-name="first" page-height="29.7cm" page-width="21cm" margin-top="1cm" margin-bottom="2cm" margin-left="1.5cm" margin-right="1.5cm">
          <fo:region-body margin-top="2cm"/>
          <fo:region-before extent="2cm"/>
        </fo:simple-page-master>
      </fo:layout-master-set>
      <fo:page-sequence master-name="first">
        <fo:static-content flow-name="xsl-region-before">
          <fo:block text-align="end" font-size="10pt" font-family="Times Roman" font-weight="bold">
             ěščřžýáíé XML, XSLT, XSL FO and FOP demonstrace - stránka č. <fo:page-number/>
          </fo:block>
        </fo:static-content>
        <fo:flow flow-name="xsl-region-body">
          <xsl:apply-templates select="block"/>
        </fo:flow>
      </fo:page-sequence>
    </fo:root>
  </xsl:template>
  <!-- ##### NEXT TEMPLATE ##### 
       skeletova sablona pro blok v 1. unrovni, v tomto pripade pomerne jednoducha 
       sablony pro zahlavi se volaji jmenem, volani sablon generujicixh obsah je rizeno vstupnimi daty -->
  <xsl:template match="/data-structure-result/block">
    <xsl:call-template name="l1blkhdr"/>
    <xsl:apply-templates select="group"/>
    <xsl:call-template name="l1blkftr"/>
  </xsl:template>
  <!-- ##### NEXT TEMPLATE ##### 
      sablona pro zahlavi bloku 1. urovne, jedna se o neopakujici se sablonu volanou jmenem vkladanou 
      na zacatek kazdeho bloku 1. urovne -->
  <xsl:template name="l1blkhdr">
    <fo:block font-size="14pt" font-family="Times Roman" text-align="center">
       (b1h) Demonstarace použití XSLT pro transformaci dat do XSL FO ěščřžýáíé
     </fo:block>
    <fo:block font-size="10pt" font-family="Times Roman" font-weight="bold" text-align="center">
        (b1h) Příklad malé sestavy typu master-detail ěščřžýáíé
     </fo:block>
  </xsl:template>
  <!-- ##### NEXT TEMPLATE ##### 
       sablona pro zapati bloku 1. urovne -->
  <xsl:template name="l1blkftr">
    <fo:table font-family="Helvetica" font-size="8pt" space-after="1mm" space-before="1mm">
      <fo:table-column column-width="5mm"/>
      <fo:table-column column-width="15mm"/>
      <fo:table-column column-width="20mm"/>
      <fo:table-column column-width="10mm"/>
      <fo:table-column column-width="20mm"/>
      <fo:table-column column-width="20mm"/>
      <fo:table-column column-width="40mm"/>
      <fo:table-column column-width="20mm"/>
      <fo:table-column column-width="20mm"/>
      <fo:table-column column-width="10mm"/>
      <fo:table-body>
        <fo:table-row background-color="lime">
          <fo:table-cell border-style="solid" border-width="0.1pt" background-color="lime" number-columns-spanned="4">
            <fo:block start-indent="1pt">(b1f) Sumace</fo:block>
          </fo:table-cell>
          <fo:table-cell border-style="solid" border-width="0.1pt" background-color="lime">
            <fo:block start-indent="1pt" end-indent="1pt" text-align="end">
              <xsl:value-of select="format-number(aggregation[@name='b1.md'],'# ##0,00')"/>
            </fo:block>
          </fo:table-cell>
          <fo:table-cell border-style="solid" border-width="0.1pt" background-color="lime">
            <fo:block start-indent="1pt" end-indent="1pt" text-align="end">
              <xsl:value-of select="format-number(aggregation[@name='b1.d'],'# ##0,00')"/>
            </fo:block>
          </fo:table-cell>
          <fo:table-cell border-style="solid" border-width="0.1pt" background-color="lime" number-columns-spanned="4">
            <fo:block start-indent="1pt"/>
          </fo:table-cell>
        </fo:table-row>
      </fo:table-body>
    </fo:table>
    <fo:block font-size="14pt" font-family="Times Roman" text-align="center">
       (b1f) A to je vše, přátelé !!!! Tadydadyda
     </fo:block>
  </xsl:template>
  <!-- ##### NEXT TEMPLATE ##### 
      skeletova sablona pro skupinu 1. urovne obsahuje definici tabulky obalujici veskera data,
      sablony pro zahlavi jsou volany jmenem, zde se definuje pripadne potlaceni opakovani 
      skupinovych zahlavi. Vvyvolani sablon pro obsah je rizeno vstupnimi daty -->
  <xsl:template match="/data-structure-result/block/group">
    <fo:table font-family="Helvetica" font-size="9pt" table-omit-footer-at-break="true">
        <!-- table-omit-footer-at-break="true" -->
      <!-- top level tabulka, obsahuje zahlavi za zapati master skupin master data a ve vnorenych
         tabulkach data detailu. posledni sloupec je "fake" pro roztazeni tabulku na sirku cele
         stranky -->
      <fo:table-column column-width="1.5cm"/>
      <fo:table-column column-width="8cm"/>
      <fo:table-column column-width="1cm"/>
      <fo:table-column column-width="1cm"/>
      <fo:table-column column-width="1cm"/>
      <fo:table-column column-width="1cm"/>
      <fo:table-column column-width="4.5cm"/>
      <fo:table-header>
        <fo:table-row>
          <fo:table-cell number-columns-spanned="7">
            <xsl:call-template name="l1grphdr"/>
          </fo:table-cell>
        </fo:table-row>
      </fo:table-header>
      <fo:table-footer>
        <fo:table-row>
          <fo:table-cell number-columns-spanned="7">
            <xsl:call-template name="l1grpftr"/>
          </fo:table-cell>
        </fo:table-row>
      </fo:table-footer>
      <fo:table-body>
        <xsl:apply-templates select="row"/>
      </fo:table-body>
    </fo:table>
  </xsl:template>
  <!-- ##### NEXT TEMPLATE ##### 
      sablona pro horni zahlavi skupiny 1. urovne, volana jmenem. Pro snazsi implementovatelnost a
      znovupouzitelnost sablon musi vsechny sablony pro zahlavi bracet blokovy objekt (blok, tabulku)
      nebo jejich posloupnost, nikoliv tedy veci jako posloupnost radku ci bunek apod. pokud takoveto
      zahvi ma byt opakujicim se zahlavim tabulky, tato si vytbori bunku s maximalnim colspanem,
      do ktereho se vnori bloky vracene sablonou pro zahlavi. Poku je po zahlavi pozadovan tabulkovy
      vzehled, se tento pozadavek uspokoji vnorenou tabulkou. -->
  <xsl:template name="l1grphdr">
    <fo:table font-family="Helvetica" font-size="9pt" space-after="1mm" space-before="1mm" background-color="yellow">
      <fo:table-column column-width="1.5cm"/>
      <fo:table-column column-width="4cm"/>
      <fo:table-column column-width="4cm"/>
      <fo:table-column column-width="1cm"/>
      <fo:table-column column-width="1cm"/>
      <fo:table-column column-width="1cm"/>
      <fo:table-column column-width="1cm"/>
      <fo:table-body font-style="italic" font-weight="bold">
        <fo:table-row background-color="yellow">
          <fo:table-cell number-columns-spanned="7" border-style="solid" border-width="0.1pt" background-color="yellow">
            <fo:block start-indent="1pt">
                (g1h) Skupina:
                <xsl:value-of select="@name"/>
            </fo:block>
          </fo:table-cell>
        </fo:table-row>
        <fo:table-row>
          <fo:table-cell border-width="0.1pt" border-style="solid" number-columns-spanned="2">
            <fo:block start-indent="1pt">(g1h) ÚČET</fo:block>
          </fo:table-cell>
          <fo:table-cell border-width="0.1pt" border-style="solid" number-columns-spanned="5">
            <fo:block start-indent="1pt">DALŠÍ PARAMETRY</fo:block>
          </fo:table-cell>
        </fo:table-row>
        <fo:table-row>
          <fo:table-cell border-width="0.1pt" border-style="solid">
            <fo:block start-indent="1pt">Onačení</fo:block>
          </fo:table-cell>
          <fo:table-cell border-width="0.1pt" border-style="solid" number-columns-spanned="2">
            <fo:block start-indent="1pt">Popis</fo:block>
          </fo:table-cell>
          <fo:table-cell border-width="0.1pt" border-style="solid">
            <fo:block start-indent="1pt">Z</fo:block>
          </fo:table-cell>
          <fo:table-cell border-width="0.1pt" border-style="solid">
            <fo:block start-indent="1pt">CH</fo:block>
          </fo:table-cell>
          <fo:table-cell border-width="0.1pt" border-style="solid">
            <fo:block start-indent="1pt">N</fo:block>
          </fo:table-cell>
          <fo:table-cell border-width="0.1pt" border-style="solid">
            <fo:block start-indent="1pt">APN</fo:block>
          </fo:table-cell>
        </fo:table-row>
      </fo:table-body>
    </fo:table>
  </xsl:template>
  <!-- ##### NEXT TEMPLATE ##### 
      sablona pro dolni zahlavi skupiny 1. urovne -->
  <xsl:template name="l1grpftr">
    <fo:table font-family="Helvetica" font-size="8pt" space-after="1mm" space-before="1mm">
      <fo:table-column column-width="5mm"/>
      <fo:table-column column-width="15mm"/>
      <fo:table-column column-width="20mm"/>
      <fo:table-column column-width="10mm"/>
      <fo:table-column column-width="20mm"/>
      <fo:table-column column-width="20mm"/>
      <fo:table-column column-width="40mm"/>
      <fo:table-column column-width="20mm"/>
      <fo:table-column column-width="20mm"/>
      <fo:table-column column-width="10mm"/>
      <fo:table-body>
        <fo:table-row background-color="lime">
          <fo:table-cell border-style="solid" border-width="0.1pt" background-color="lime" number-columns-spanned="4">
            <fo:block start-indent="1pt">(g1f) Sumace</fo:block>
          </fo:table-cell>
          <fo:table-cell border-style="solid" border-width="0.1pt" background-color="lime">
            <fo:block start-indent="1pt" end-indent="1pt" text-align="end">
              <xsl:value-of select="format-number(aggregation[@name='g1.md'],'# ##0,00')"/>
            </fo:block>
          </fo:table-cell>
          <fo:table-cell border-style="solid" border-width="0.1pt" background-color="lime">
            <fo:block start-indent="1pt" end-indent="1pt" text-align="end">
              <xsl:value-of select="format-number(aggregation[@name='g1.d'],'# ##0,00')"/>
            </fo:block>
          </fo:table-cell>
          <fo:table-cell border-style="solid" border-width="0.1pt" background-color="lime" number-columns-spanned="4">
            <fo:block start-indent="1pt"/>
          </fo:table-cell>
        </fo:table-row>
      </fo:table-body>
    </fo:table>
  </xsl:template>
  <!-- ##### NEXT TEMPLATE ##### 
      sablona matchujici se na radky. tady jsem jeste nerozhodl, zda se bude obsah radku vracet stejne
      jako u objektu vyse v hierarchii, ci se zde prejde k modelu volani jmenem a obsahy bunek se budou
      explicitne vytahovat -->
  <xsl:template match="/data-structure-result/block/group/row">
    <xsl:call-template name="my_row"/>
    <xsl:apply-templates select="block"/>
  </xsl:template>
  <!-- ##### NEXT TEMPLATE ##### 
      sablona zpracovavajici jednotlive bunky datoveho radku -->
  <xsl:template name="my_row">
    <fo:table-row>
      <fo:table-cell border-width="0.1pt" border-style="solid" text-align="end">
        <fo:block start-indent="1pt" end-indent="1pt">
          <xsl:value-of select="column[$ucty.oznaceni]"/>
        </fo:block>
      </fo:table-cell>
      <fo:table-cell border-width="0.1pt" border-style="solid">
        <fo:block start-indent="1pt" end-indent="1pt">
          <xsl:value-of select="column[$ucty.popis]"/>
        </fo:block>
      </fo:table-cell>
      <fo:table-cell border-width="0.1pt" border-style="solid">
        <fo:block start-indent="1pt" end-indent="1pt">
          <xsl:value-of select="column[$ucty.zablokovat]"/>
        </fo:block>
      </fo:table-cell>
      <fo:table-cell border-width="0.1pt" border-style="solid">
        <fo:block start-indent="1pt" end-indent="1pt">
          <xsl:value-of select="column[$ucty.charakteructu]"/>
        </fo:block>
      </fo:table-cell>
      <fo:table-cell border-width="0.1pt" border-style="solid">
        <fo:block start-indent="1pt" end-indent="1pt">
          <xsl:value-of select="column[$ucty.nedanovy]"/>
        </fo:block>
      </fo:table-cell>
      <fo:table-cell border-width="0.1pt" border-style="solid">
        <fo:block start-indent="1pt" end-indent="1pt">
          <xsl:value-of select="column[$ucty.aktpasneut]"/>
        </fo:block>
      </fo:table-cell>
      <fo:table-cell>
        <fo:block/>
      </fo:table-cell>
    </fo:table-row>
  </xsl:template>
  <!-- ##### NEXT TEMPLATE ##### 
      skeletova sablona pro blok 2. urovne -->
  <xsl:template match="/data-structure-result/block/group/row/block">
    <fo:table-row>
      <fo:table-cell number-columns-spanned="7">
        <xsl:call-template name="l2blkhdr"/>
        <xsl:apply-templates select="group"/>
        <xsl:call-template name="l2blkftr"/>
      </fo:table-cell>
    </fo:table-row>
  </xsl:template>
  <!-- ##### NEXT TEMPLATE ##### 
      sablona pro horni zahlavi bloku 2. urovne -->
  <xsl:template name="l2blkhdr">
    <fo:block font-size="12pt" font-family="Times Roman" text-align="center">
      (b2h) Tož ňáké záhlaví.
    </fo:block>
  </xsl:template>
  <!-- ##### NEXT TEMPLATE ##### 
      sablona pro dolni zahlavi bloku 2. urovne -->
  <xsl:template name="l2blkftr">
    <fo:table font-family="Helvetica" font-size="8pt" space-after="1mm" space-before="1mm">
      <fo:table-column column-width="5mm"/>
      <fo:table-column column-width="15mm"/>
      <fo:table-column column-width="20mm"/>
      <fo:table-column column-width="10mm"/>
      <fo:table-column column-width="20mm"/>
      <fo:table-column column-width="20mm"/>
      <fo:table-column column-width="40mm"/>
      <fo:table-column column-width="20mm"/>
      <fo:table-column column-width="20mm"/>
      <fo:table-column column-width="10mm"/>
      <fo:table-body>
        <fo:table-row background-color="lime">
          <fo:table-cell border-style="solid" border-width="0.1pt" background-color="lime" number-columns-spanned="4">
            <fo:block start-indent="1pt">(b2f) Sumace</fo:block>
          </fo:table-cell>
          <fo:table-cell border-style="solid" border-width="0.1pt" background-color="lime">
            <fo:block start-indent="1pt" end-indent="1pt" text-align="end">
              <xsl:value-of select="format-number(aggregation[@name='b2.md'],'# ##0,00')"/>
            </fo:block>
          </fo:table-cell>
          <fo:table-cell border-style="solid" border-width="0.1pt" background-color="lime">
            <fo:block start-indent="1pt" end-indent="1pt" text-align="end">
              <xsl:value-of select="format-number(aggregation[@name='b2.d'],'# ##0,00')"/>
            </fo:block>
          </fo:table-cell>
          <fo:table-cell border-style="solid" border-width="0.1pt" background-color="lime" number-columns-spanned="4">
            <fo:block/>
          </fo:table-cell>
        </fo:table-row>
      </fo:table-body>
    </fo:table>
    <fo:block font-size="12pt" font-family="Times Roman" text-align="center">
      (b2f) Tož aj spodné záhlaví sa občas používá.
    </fo:block>
  </xsl:template>
  <!-- ##### NEXT TEMPLATE ##### 
      skeletova sablona pro skupinu 2. urovne -->
  <xsl:template match="/data-structure-result/block/group/row/block/group">
    <fo:table font-family="Helvetica" font-size="8pt" table-omit-footer-at-break="true">
<!-- table-omit-footer-at-break="true" -->
      <fo:table-column column-width="5mm"/>
      <fo:table-column column-width="15mm"/>
      <fo:table-column column-width="20mm"/>
      <fo:table-column column-width="10mm"/>
      <fo:table-column column-width="20mm"/>
      <fo:table-column column-width="20mm"/>
      <fo:table-column column-width="40mm"/>
      <fo:table-column column-width="20mm"/>
      <fo:table-column column-width="20mm"/>
      <fo:table-column column-width="10mm"/>
      <fo:table-header>
        <fo:table-row>
          <fo:table-cell number-columns-spanned="10">
            <xsl:call-template name="l2grphdr"/>
          </fo:table-cell>
        </fo:table-row>
      </fo:table-header>
      <fo:table-footer>
        <fo:table-row>
          <fo:table-cell number-columns-spanned="10">
            <xsl:call-template name="l2grpftr"/>
          </fo:table-cell>
        </fo:table-row>
      </fo:table-footer>
      <fo:table-body>
        <xsl:apply-templates select="row"/>
      </fo:table-body>
    </fo:table>
  </xsl:template>
  <!-- ##### NEXT TEMPLATE ##### 
      sablona pro horni zahlavi skupiny 2. urovne -->
  <xsl:template name="l2grphdr">
    <fo:table font-family="Helvetica" font-size="8pt" space-after="1mm" space-before="1mm">
      <fo:table-column column-width="5mm"/>
      <fo:table-column column-width="15mm"/>
      <fo:table-column column-width="20mm"/>
      <fo:table-column column-width="10mm"/>
      <fo:table-column column-width="20mm"/>
      <fo:table-column column-width="20mm"/>
      <fo:table-column column-width="40mm"/>
      <fo:table-column column-width="20mm"/>
      <fo:table-column column-width="20mm"/>
      <fo:table-column column-width="10mm"/>
      <fo:table-body>
        <fo:table-row background-color="yellow">
          <fo:table-cell number-columns-spanned="10" border-style="solid" border-width="0.1pt" background-color="yellow">
            <fo:block start-indent="1pt">
                (g2h) Skupina:
                <xsl:value-of select="@name"/>
            </fo:block>
          </fo:table-cell>
        </fo:table-row>
        <fo:table-row background-color="yellow">
          <fo:table-cell border-style="solid" border-width="0.1pt" background-color="yellow">
            <fo:block start-indent="1pt">DD</fo:block>
          </fo:table-cell>
          <fo:table-cell border-style="solid" border-width="0.1pt" background-color="yellow">
            <fo:block start-indent="1pt">ČD</fo:block>
          </fo:table-cell>
          <fo:table-cell border-style="solid" border-width="0.1pt" background-color="yellow">
            <fo:block start-indent="1pt">Datum</fo:block>
          </fo:table-cell>
          <fo:table-cell border-style="solid" border-width="0.1pt" background-color="yellow">
            <fo:block start-indent="1pt">Účet</fo:block>
          </fo:table-cell>
          <fo:table-cell border-style="solid" border-width="0.1pt" background-color="yellow">
            <fo:block start-indent="1pt">Má Dáti</fo:block>
          </fo:table-cell>
          <fo:table-cell border-style="solid" border-width="0.1pt" background-color="yellow">
            <fo:block start-indent="1pt">Dal</fo:block>
          </fo:table-cell>
          <fo:table-cell border-style="solid" border-width="0.1pt" background-color="yellow">
            <fo:block start-indent="1pt">Popis</fo:block>
          </fo:table-cell>
          <fo:table-cell border-style="solid" border-width="0.1pt" background-color="yellow">
            <fo:block start-indent="1pt">Var. Symbol</fo:block>
          </fo:table-cell>
          <fo:table-cell border-style="solid" border-width="0.1pt" background-color="yellow">
            <fo:block start-indent="1pt">Základ daně</fo:block>
          </fo:table-cell>
          <fo:table-cell border-style="solid" border-width="0.1pt" background-color="yellow">
            <fo:block start-indent="1pt">ID</fo:block>
          </fo:table-cell>
        </fo:table-row>
      </fo:table-body>
    </fo:table>
  </xsl:template>
  <!-- ##### NEXT TEMPLATE ##### 
      sablona pro dolni zahlavi skupiny 2. urovne -->
  <xsl:template name="l2grpftr">
    <fo:table font-family="Helvetica" font-size="8pt" space-after="1mm" space-before="1mm">
      <fo:table-column column-width="5mm"/>
      <fo:table-column column-width="15mm"/>
      <fo:table-column column-width="20mm"/>
      <fo:table-column column-width="10mm"/>
      <fo:table-column column-width="20mm"/>
      <fo:table-column column-width="20mm"/>
      <fo:table-column column-width="40mm"/>
      <fo:table-column column-width="20mm"/>
      <fo:table-column column-width="20mm"/>
      <fo:table-column column-width="10mm"/>
      <fo:table-body>
        <fo:table-row background-color="lime">
          <fo:table-cell border-style="solid" border-width="0.1pt" background-color="lime" number-columns-spanned="4">
            <fo:block start-indent="1pt">(g2f) Sumace</fo:block>
          </fo:table-cell>
          <fo:table-cell border-style="solid" border-width="0.1pt" background-color="lime">
            <fo:block end-indent="1pt" text-align="end">
              <xsl:value-of select="format-number(aggregation[@name='g2.md'],'# ##0,00')"/>
            </fo:block>
          </fo:table-cell>
          <fo:table-cell border-style="solid" border-width="0.1pt" background-color="lime">
            <fo:block end-indent="1pt" text-align="end">
              <xsl:value-of select="format-number(aggregation[@name='g2.d'],'# ##0,00')"/>
            </fo:block>
          </fo:table-cell>
          <fo:table-cell border-style="solid" border-width="0.1pt" background-color="lime" number-columns-spanned="4">
            <fo:block/>
          </fo:table-cell>
        </fo:table-row>
      </fo:table-body>
    </fo:table>
  </xsl:template>
  <!-- ##### NEXT TEMPLATE ##### 
      sablona pro radek detailu. Zde je pouzit druhy z moznych pristupu k zpracovani jednotlivych
      datvych polozek -->
  <xsl:template match="/data-structure-result/block/group/row/block/group/row">
    <fo:table-row>
      <xsl:apply-templates select="column[$hk.druhdokladu]"/>
      <xsl:apply-templates select="column[$hk.cislodokladu]"/>
      <xsl:apply-templates select="column[$hk.datum]"/>
      <xsl:apply-templates select="column[$hk.ucet]"/>
      <xsl:apply-templates select="column[$hk.md]"/>
      <xsl:apply-templates select="column[$hk.d]"/>
      <xsl:apply-templates select="column[$hk.popis]"/>
      <xsl:apply-templates select="column[$hk.varsymbol]"/>
      <xsl:apply-templates select="column[$hk.zakladdane]"/>
      <xsl:apply-templates select="column[$hk.ico]"/>
    </fo:table-row>
  </xsl:template>
  <!-- ##### NEXT TEMPLATE ##### 
      sablony pro jednotlive datove polozky -->
  <xsl:template match="/data-structure-result/block/group/row/block/group/row/column[$hk.druhdokladu]">
    <fo:table-cell border-width="0.1pt" border-style="solid">
      <fo:block start-indent="1pt" end-indent="1pt">
        <xsl:value-of select="self::node()"/>
      </fo:block>
    </fo:table-cell>
  </xsl:template>
  <xsl:template match="/data-structure-result/block/group/row/block/group/row/column[$hk.cislodokladu]">
    <fo:table-cell border-width="0.1pt" border-style="solid">
      <fo:block start-indent="1pt" end-indent="1pt" text-align="end">
        <xsl:value-of select="self::node()"/>
      </fo:block>
    </fo:table-cell>
  </xsl:template>
  <xsl:template match="/data-structure-result/block/group/row/block/group/row/column[$hk.datum]">
    <fo:table-cell border-width="0.1pt" border-style="solid">
      <fo:block start-indent="1pt" end-indent="1pt">
        <xsl:value-of select="self::node()"/>
      </fo:block>
    </fo:table-cell>
  </xsl:template>
  <xsl:template match="/data-structure-result/block/group/row/block/group/row/column[$hk.ucet]">
    <fo:table-cell border-width="0.1pt" border-style="solid">
      <fo:block start-indent="1pt" end-indent="1pt">
        <xsl:value-of select="self::node()"/>
      </fo:block>
    </fo:table-cell>
  </xsl:template>
  <xsl:template match="/data-structure-result/block/group/row/block/group/row/column[$hk.md]">
    <fo:table-cell border-width="0.1pt" border-style="solid">
      <fo:block start-indent="1pt" end-indent="1pt" text-align="end">
        <xsl:value-of select="format-number(self::node(),'# ##0,00')"/>
      </fo:block>
    </fo:table-cell>
  </xsl:template>
  <xsl:template match="/data-structure-result/block/group/row/block/group/row/column[$hk.d]">
    <fo:table-cell border-width="0.1pt" border-style="solid">
      <fo:block start-indent="1pt" end-indent="1pt" text-align="end">
        <xsl:value-of select="format-number(self::node(),'# ##0,00')"/>
      </fo:block>
    </fo:table-cell>
  </xsl:template>
  <xsl:template match="/data-structure-result/block/group/row/block/group/row/column[$hk.popis]">
    <fo:table-cell border-width="0.1pt" border-style="solid">
      <fo:block start-indent="1pt" end-indent="1pt">
        <xsl:value-of select="self::node()"/>
      </fo:block>
    </fo:table-cell>
  </xsl:template>
  <xsl:template match="/data-structure-result/block/group/row/block/group/row/column[$hk.varsymbol]">
    <fo:table-cell border-width="0.1pt" border-style="solid">
      <fo:block start-indent="1pt" end-indent="1pt">
        <xsl:value-of select="self::node()"/>
      </fo:block>
    </fo:table-cell>
  </xsl:template>
  <xsl:template match="/data-structure-result/block/group/row/block/group/row/column[$hk.zakladdane]">
    <fo:table-cell border-width="0.1pt" border-style="solid">
      <fo:block start-indent="1pt" end-indent="1pt" text-align="end">
        <xsl:value-of select="format-number(self::node(),'# ##0,00')"/>
      </fo:block>
    </fo:table-cell>
  </xsl:template>
  <xsl:template match="/data-structure-result/block/group/row/block/group/row/column[$hk.ico]">
    <fo:table-cell border-width="0.1pt" border-style="solid">
      <fo:block start-indent="1pt" end-indent="1pt">
        <xsl:value-of select="self::node()"/>
      </fo:block>
    </fo:table-cell>
  </xsl:template>
</xsl:stylesheet>
